#ifndef XMLUTIL_H
#define XMLUTIL_H

#include "stdio.h"
#include "cplusplus.h"

// Utilities to get attributes when using expat

_BEGIN_CPLUSPLUS

// expat returns attributes as an array of strings. 
// The array alternates attribute names and values, starting with a name.
// The array ends with a null attribute.

const char* getStringAttribute(const char **atts, const char* att);
double getNumberAttribute(const char **atts, const char* att);
bool getBooleanAttribute(const char **atts, const char* att);

_END_CPLUSPLUS

#endif /* XMLUTIL_H */
